Skip to main content
GET
/
{chain_id}
/
api
/
v2
/
tokens
/
{address_hash_param}
/
holders
List addresses holding a specific token sorted by balance
curl --request GET \
  --url https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param}/holders \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param}/holders"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.blockscout.com/{chain_id}/api/v2/tokens/{address_hash_param}/holders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "address": {
        "ens_domain_name": null,
        "hash": "0xF977814e90dA44bFA03b6295A0616a897441aceC",
        "implementations": [],
        "is_contract": false,
        "is_scam": false,
        "is_verified": false,
        "metadata": {
          "tags": [
            {
              "meta": {
                "main_entity": "Binance",
                "tooltipUrl": "https://www.binance.com/"
              },
              "name": "Binance: Hot Wallet 20",
              "ordinal": 10,
              "slug": "binance-hot-wallet-20",
              "tagType": "name"
            },
            {
              "meta": {
                "tooltipUrl": "https://www.binance.com"
              },
              "name": "Binance 8",
              "ordinal": 10,
              "slug": "binance-8",
              "tagType": "name"
            },
            {
              "meta": {},
              "name": "HOT WALLET",
              "ordinal": 0,
              "slug": "hot-wallet",
              "tagType": "generic"
            },
            {
              "meta": {},
              "name": "Exchange",
              "ordinal": 0,
              "slug": "exchange",
              "tagType": "generic"
            },
            {
              "meta": {},
              "name": "Binance",
              "ordinal": 0,
              "slug": "binance",
              "tagType": "protocol"
            }
          ]
        },
        "name": null,
        "private_tags": [],
        "proxy_type": null,
        "public_tags": [],
        "reputation": "ok",
        "watchlist_names": []
      },
      "token_id": null,
      "value": "19474530513868000"
    }
  ],
  "next_page_params": {
    "address_hash": "0x48bb9b14483e43c7726df702b271d410e7460656",
    "value": "200000000000000"
  }
}
{
"message": "Resource not found"
}
{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$
chain_id
string
required

The ID of the blockchain

Query Parameters

items_count
integer

Number of items per page

Required range: x >= 1
address_hash
string

Address hash for paging

Pattern: ^0x([A-Fa-f0-9]{40})$
value

Transaction value for paging

Pattern: ^-?([1-9][0-9]*|0)$

Response

Holders of the specified token, with pagination.

items
TokenHolderResponse · object[]
required
next_page_params
object | null
required
Example:
{
"address_hash": "0x48bb9b14483e43c7726df702b271d410e7460656",
"value": "200000000000000"
}